Subject: Ticket Assigned - Furniture Delivery Issue in Jeddah
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 06 Apr 2021 07:52:04 +0000

Hi Alka Pandey,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Furniture Delivery Issue in Jeddah  Dear Home box,
I had placed an online order on 31st March and had received the below confirmation email shortly after the order placement. The email clearly states that the expected delivery date is 04th April but connotation at the bottom says 14th April so there is a clear contradict within the email itself.
On inquiring from your call center, I was told that the delivery date is 14th April. On requesting a earlier delivery date as you promise on your website "2-3 business days", I was told that there are no earlier slots available for delivery.
However, on logging in again on your app and trying to place an order on 5th of April, I could see a delivery date of 8th April. (I have attached the screenshot as an attachment for a proof)
I am wondering what sort of scheduling system allots a later delivery date (14th April) for order placed earlier (31st March) while giving the earlier available delivery date (8th April) for orders placed much later (5th April) when the furniture items as per your website were already available in both cases.
It seems that the delivery dates are not given in a fair and transparent manner and the promise of delivery within 2-3 business days is also not lived upon and is merely a cosmetic slogan with no relevance on ground.
I request you to kindly rectify this anomaly and arrange for the delivery at the earliest possible slot rather than an unusual delay while the delivery slots are still available for later placed orders.
I look forward to your favorable response to resolve this issue at the earliest.
Regards,
Muzammel Hussainorder #  6290886879Contact # +966 532401269

   ----- Forwarded Message ----- From: Home Box <[email-masked]>To: Muzammel Hussain <[email-masked]>Sent: Wednesday, March 31, 2021, 05:19:37 PM GMT+3Subject:  Order confirmed!
   
|  
|  
|  
|  Your order number is 6290886879 | Click here to view in browser  |

  |

  |
|  
|  
|  
|    |

|  
| Download our apps now |
|     |     |
|  iPhone |  Android |

  |

  |

  |

 |
|  
|  
|  
|  
|  Living  Dining  Bedroom  Kids  Bathroom  Kitchen  Furniture  Home Dècor  |

  |

  |

  |

 |
|  
|  
|  
|  
 Your order has been successfully placed.
 
 Hi Muzammel Hussain, thanks for shopping with us. 
 For your reference, your order number is 6290886879. Expect delivery by 04/04/2021. 
  |
|  
Please pay attention to the following:
  |
|    
   - The dimensions of the furniture should allow it to fit through entrance doors and lifts, as well as into its designated spot
   - Electricity must be working to operate the tools needed for installation
   - The delivery team will not take up any type of civil work, such as drilling holes in the wall to mount the product. The product assembly will only include carpentry assembly
 |
|  
Safety measures before delivery
  |
| Please ensure that no one at this address is ill or in quarantine. If our crew finds that someone is unwell on arrival, they may reschedule the delivery for everyone’s safety.
Additionally, deliveries may be rescheduled if local government restrictions change. |
|  
Help us maintain social distance
  |
| In line with recommended practices, we have adopted strict safety protocols that aim for minimal interactions between you, your family and our crew.
To accommodate this, please keep your room/area of choice pre-cleared so our crew does not need to touch any of your existing furniture. |
|  
Stay safe during assembly and delivery
  |
| Please ensure: |
|    
   - An adult is present when the truck arrives
   - The delivery team has easy access to the room the furniture is going into
   - The room/area where you want the furniture is completely clear
   - All family members are outside of the room where the assembly of furniture will take place
   - Our delivery team will unpack your furniture, install it in a room of your choice and remove all packing materials from your home. To make sure you’re completely satisfied with your furniture, the delivery team will ask for your signature once the installation is complete
 |
|  
Things to note after installation
  |
| Please ensure: |
|    
   - The colour of the product may vary slightly compared to the picture displayed on your screen. This is due to the lighting, pixel quality and colour settings of different devices
   - There may be an unevenness of up to 5 mm in the product due to differences in surfaces and floor levels
   - In case the product appears to lack shine, wiping the surface with a cloth will help clear the surface of dust particles.
 |
|  
|  
|  
|  
|  
 Order shipping to
Muzammel Hussain
 JDC building 3rd floor, Apt #14
 Jeddah 
 Mobile: +966 532401269 
  |

  |

  |

  |  
|  
Payment Method:

 xxxx xxxx xxxx 4258 
 Muhammad M Hussain 
  |

  |

  |

  |

  |

  |
|  
|  
|  
|  
 Order Details 
 |
|  |
|  
|  
Item
 |  
Description
 |  
Total Price
 |

  |
|  |
|  
|  
|     |

  |  
|  HOMEBOX  |
|  Cooper King Sized Bed - 180x200 cms  |
| Color: Beige |
|  Quantity: 1  |

  |  SAR 649  |

  |
|  
|  
|     |

  |  
|  HOMEBOX  |
|  Cooper 2-Drawers Nightstand  |
| Color: Beige |
|  Quantity: 2  |

  |  SAR 318  |

  |
|  
|  
|     |

  |  
|  HOMEBOX  |
|  Cooper 5-Doors Wardrobe with Mirror  |
| Color: Beige |
|  Quantity: 1  |

  |  SAR 1,249  |

  |
|  
|  
|     |

  |  
|  HOMEBOX  |
|  Kulltorp Chest of 5-Drawers  |
| Color: Beige |
|  Quantity: 1  |

  |  SAR 269  |

  |
|  
|  
|     |

  |  
|  HOMEBOX  |
|  Cooper 4-Drawers Tall Dresser with Mirror and Storage  |
| Color: Beige |
|  Quantity: 1  |

  |  SAR 595  |

  |
|  |
|  
|  
|  Your Home Box furniture should arrive on 14th April 2021 between 18:00 - 20:00 hours. 
  |

  |  
|  Subtotal:  |   SAR 3,080  |
|  |
|  |
|  Savings:  |  - SAR 800  |
|  |
|  |
|  Furniture & Large Items Shipping: 
  |   FREE 
 
   |
|  |
|  |
|  Total  |  SAR 2,280  |
|  |
|  |
|  |
|  Your order will earn you 449 Shukrans.  |
|  Your order may arrive in multiple deliveries.  |

  |

  |

  |

  |

  |
|  
| Need help? Get in touch |
|   
|  
|     |  
Write us an email now, we'll get back to you as fast as we can.
  |

  |

|  
|     |  
Connect with us on your favourite social network.
  |

  |

|  
|  |  
Call us on 800-6100269. 
Saturday - Thursday, 9 AM - 6 PM.
  |

  |

   |

 |
|  
|   
|  
|  © 2021 Retail World Limited  |   |

  |

|  
|   Privacy Policy  | Terms & Conditions   |

  |

  |

  |

  |

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2359749